**
** WSC32.CC [version 7.0.0]
**

#define COM1   0
#define COM2   1
#define COM3   2
#define COM4   3
#define COM5   4
#define COM6   5
#define COM7   6
#define COM8   7
#define COM9   8
#define COM10  9
#define COM11 10
#define COM12 11
#define COM13 12
#define COM14 13
#define COM15 14
#define COM16 15
* COM17 thru COM256 are defined in the same pattern as above
*** Parity Codes
#define WSC_NoParity 0
#define WSC_OddParity  1
#define WSC_EvenParity 2
#define WSC_MarkParity 3
#define WSC_SpaceParity 4
*** Stop Bit Codes
#define WSC_OneStopBit   0
#define WSC_One5StopBits 1
#define WSC_TwoStopBits  2
*** Word Length Codes
#define WSC_WordLength5  5
#define WSC_WordLength6  6
#define WSC_WordLength7  7
#define WSC_WordLength8  8
* Data Bit Codes (same as word length)
#define WSC_DataBits_5   5
#define WSC_DataBits_6   6
#define WSC_DataBits_7   7
#define WSC_DataBits_8   8
*** return codes
#define WSC_NO_DATA      (-100)
#define WSC_RANGE        (-101)
#define WSC_ABORTED      (-102)
#define WSC_WIN32ERR     (-103)
#define WSC_EXPIRED      (-104)
#define WSC_BUFFERS      (-105)
#define WSC_THREAD       (-106)
#define WSC_TIMEOUT      (-107)
#define WSC_KEYCODE      (-108)
#define WSC_BUFFER_RANGE (-109)
#define WSC_BUFLEN_RANGE (-110)
#define WSC_BAD_CMD      (-111)
#define WSC_BAD_PARITY   (-112)
#define WSC_BAD_STOPBIT  (-113)
#define WSC_BAD_WORDLEN  (-114)
#define WSC_IE_BADID       (-1)
#define WSC_IE_OPEN        (-2)
#define WSC_IE_NOPEN       (-3)
#define WSC_IE_MEMORY      (-4)
#define WSC_IE_DEFAULT     (-5)
#define WSC_IE_HARDWARE   (-10)
#define WSC_IE_BYTESIZE   (-11)
#define WSC_IE_BAUDRATE   (-12)
#define WSC_IO_ERROR      (-13)
*** baud codes
#define WSC_Baud110    0
#define WSC_Baud300    1
#define WSC_Baud1200   2
#define WSC_Baud2400   3
#define WSC_Baud4800   4
#define WSC_Baud9600   5
#define WSC_Baud19200  6
#define WSC_Baud38400  7
#define WSC_Baud57600  8
#define WSC_Baud115200 9
*** SioGetError masks
#define WSC_RXOVER   0x0001
#define WSC_OVERRUN  0x0002
#define WSC_PARITY   0x0004
#define WSC_FRAME    0x0008
#define WSC_BREAK    0x0010
#define WSC_TXFULL   0x0100
*** Command codes
#define WSC_ASSERT_BREAK 65
#define WSC_CANCEL_BREAK 67
#define WSC_DETECT_BREAK 68
#define WSC_SET_LINE     83
#define WSC_CLEAR_LINE   67
#define WSC_READ_LINE    82
*** SioFlow Commands
#define WSC_HARDWARE_FLOW_CONTROL 72
#define WSC_SOFTWARE_FLOW_CONTROL 83
#define WSC_NO_FLOW_CONTROL       78
*** SioSetInteger Commands
#define WSC_SET_WAIT   87
#define WSC_SIGNAL     83
#define WSC_OVERLAPPED 79
*** SioEvent, SioEventChar, and SioEventWait codes 
#define WSC_IO_PENDING  2
#define WSC_IO_COMPLETE 3
*** SioPortInfo codes
#define WSC_PORT_BAUD 66
#define WSC_PORT_CPS  67
   
*** WSC Functions

*** Note: All parameters passed to WSC functions must be either an integer
***       or a (single) variable containing the address of a character buffer.

extern CLONG SioBaud(CLONG,CLONG) WSC32.DLL
extern CLONG SioBrkSig(CLONG,CLONG) WSC32.DLL
extern CLONG SioCRC16(CSTRING,CLONG) WSC32.DLL
extern CLONG SioCRC32(CSTRING,CLONG) WSC32.DLL
extern CLONG SioCTS(CLONG) WSC32.DLL
extern CLONG SioDCD(CLONG) WSC32.DLL
extern CLONG SioDebug(CLONG) WSC32.DLL
extern CLONG SioOpen(CLONG) WSC32.DLL
extern CLONG SioClose(CLONG) WSC32.DLL
extern CLONG SioDone(CLONG) WSC32.DLL
extern CLONG SioDSR(CLONG) WSC32.DLL
extern CLONG SioDTR(CLONG,CLONG) WSC32.DLL
extern CLONG SioErrorText(CLONG, CSTRING, CLONG) WSC32.DLL
extern CLONG SioEvent(CLONG,CLONG) WSC32.DLL
extern CLONG SioEventChar(CLONG,CLONG,CLONG) WSC32.DLL
extern CLONG SioEventWait(CLONG,CLONG,CLONG) WSC32.DLL 
extern CLONG SioFlow(CLONG,CLONG) WSC32.DLL
extern CLONG SioGetc(CLONG) WSC32.DLL
extern CLONG SioGetReg(CSTRING,CLONG) WSC32.DLL
extern CLONG SioGets(CLONG,CSTRING,CLONG) WSC32.DLL
extern CLONG SioGetsQ(CLONG,CLONG,CSTRING,CLONG) WSC32.DLL
extern CLONG SioGetsC(CLONG, CSTRING, CLONG, CLONG, CLONG) WSC32.DLL
extern CLONG SioHexView(CSTRING,CLONG,CSTRING,CLONG) WSC32.DLL
extern CLONG SioInfo(CLONG) WSC32.DLL
extern CLONG SioKeyCode(CLONG) WSC32.DLL
extern CLONG SioLRC(CSTRING,CLONG) WSC32.DLL
extern CLONG SioMessage(CLONG,CLONG,CLONG,CLONG) WSC32.DLL
extern CLONG SioParms(CLONG,CLONG,CLONG,CLONG) WSC32.DLL
extern CLONG SioPortInfo(CLONG, CLONG) WSC32.DLL
extern CLONG SioPutc(CLONG,CLONG) WSC32.DLL
extern CLONG SioPuts(CLONG,CSTRING,CLONG) WSC32.DLL
extern CLONG SioQuiet(CLONG, CLONG, CLONG) WSC32.DLL
extern CLONG SioRead(CLONG,CLONG) WSC32.DLL
extern CLONG SioReset(CLONG,CLONG,CLONG) WSC32.DLL
extern CLONG SioRI(CLONG) WSC32.DLL
extern CLONG SioRTS(CLONG,CLONG) WSC32.DLL
extern CLONG SioRxClear(CLONG) WSC32.DLL
extern CLONG SioRxQue(CLONG) WSC32.DLL
extern CLONG SioRxWait(CLONG,CLONG,CLONG) WSC32.DLL
extern CLONG SioSetInteger(CLONG,CLONG,CLONG) WSC32.DLL
extern CLONG SioSetTimeouts(CLONG,CLONG,CLONG,CLONG,CLONG,CLONG) WSC32.DLL
extern CLONG SioSleep(CLONG) WSC32.DLL
extern CLONG SioStatus(CLONG,CLONG) WSC32.DLL
extern CLONG SioTimeMark(CLONG) WSC32.DLL
extern CLONG SioTimer(CVOID) WSC32.DLL
extern CLONG SioTxClear(CLONG) WSC32.DLL
extern CLONG SioTxQue(CLONG) WSC32.DLL
extern CLONG SioUnGetc(CLONG,CLONG) WSC32.DLL
extern CLONG SioWaitFor(CLONG, CLONG) WSC32.DLL
extern CLONG SioWinError(CSTRING,CLONG) WSC32.DLL

***[ End of WSC32 Declarations ]***
